org.eclipse.draw2d.text

## Class FlowFigureLayout

- java.lang.Object
- - org.eclipse.draw2d.text.FlowFigureLayout

All Implemented Interfaces:
  LayoutManager

Direct Known Subclasses:
  FlowContainerLayout, TextLayout

    public abstract class FlowFigureLayout
    extends java.lang.Object
    implements LayoutManager

A LayoutManager for use with FlowFigure.

WARNING: This class is not intended to be subclassed by clients.

Since:
  2.1

### Constructor Summary

Constructors
`protected` `FlowFigureLayout(FlowFigure flowfigure)` Constructs a new FlowFigureLayout with the given FlowFigure.

### Method Summary

Methods
`java.lang.Object` `getConstraint(IFigure child)` Not applicable.
`protected FlowContext` `getContext()` Returns this layout's context or `null`.
`protected FlowFigure` `getFlowFigure()`
`Dimension` `getMinimumSize(IFigure container, int wHint, int hHint)` Not applicable.
`Dimension` `getPreferredSize(IFigure container, int wHint, int hHint)` Not applicable.
`void` `invalidate()` Not applicable.
`protected abstract void` `layout()` Called during `layout(IFigure)`.
`void` `layout(IFigure figure)` Lays out the given figure.
`void` `remove(IFigure child)` Not applicable.
`void` `setConstraint(IFigure child, java.lang.Object constraint)` Not applicable.
`void` `setFlowContext(FlowContext flowContext)` Sets the context for this layout manager.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FlowFigureLayout

    protected FlowFigureLayout(FlowFigure flowfigure)

Constructs a new FlowFigureLayout with the given FlowFigure.

Parameters:
  `flowfigure` - the FlowFigure

### Method Detail

#### getConstraint

    public java.lang.Object getConstraint(IFigure child)

Not applicable.

Specified by:
  `getConstraint` in interface `LayoutManager`
Parameters:
  `child` - The figure
Returns:
  The constraint
See Also:
  `LayoutManager.getConstraint(org.eclipse.draw2d.IFigure)`

#### getContext

    protected FlowContext getContext()

Returns this layout's context or `null`.

Returns:
  `null` or a context
Since:
  3.1

#### getFlowFigure

    protected FlowFigure getFlowFigure()

Returns:
  the FlowFigure

#### getMinimumSize

    public Dimension getMinimumSize(IFigure container,
                           int wHint,
                           int hHint)

Not applicable.

Specified by:
  `getMinimumSize` in interface `LayoutManager`
Parameters:
  `container` - The Figure
  `wHint` - the width hint
  `hHint` - the height hint
Returns:
  The minimum size
See Also:
  `LayoutManager.getMinimumSize(org.eclipse.draw2d.IFigure, int, int)`

#### getPreferredSize

    public Dimension getPreferredSize(IFigure container,
                             int wHint,
                             int hHint)

Not applicable.

Specified by:
  `getPreferredSize` in interface `LayoutManager`
Parameters:
  `container` - The figure
  `wHint` - The width hint
  `hHint` - The height hint
Returns:
  The preferred size
See Also:
  `LayoutManager.getPreferredSize(org.eclipse.draw2d.IFigure, int, int)`

#### invalidate

    public void invalidate()

Not applicable.

Specified by:
  `invalidate` in interface `LayoutManager`
See Also:
  `LayoutManager.invalidate()`

#### layout

    protected abstract void layout()

Called during `layout(IFigure)`.

#### layout

    public final void layout(IFigure figure)

Description copied from interface: `LayoutManager`
Lays out the given figure.

Specified by:
  `layout` in interface `LayoutManager`
Parameters:
  `figure` - The figure
See Also:
  `LayoutManager.layout(IFigure)`

#### remove

    public void remove(IFigure child)

Not applicable.

Specified by:
  `remove` in interface `LayoutManager`
Parameters:
  `child` - the child being remoced
See Also:
  `LayoutManager.remove(org.eclipse.draw2d.IFigure)`

#### setConstraint

    public void setConstraint(IFigure child,
                     java.lang.Object constraint)

Not applicable.

Specified by:
  `setConstraint` in interface `LayoutManager`
Parameters:
  `child` - The figure
  `constraint` - The constraint
See Also:
  `LayoutManager.setConstraint(org.eclipse.draw2d.IFigure, java.lang.Object)`

#### setFlowContext

    public void setFlowContext(FlowContext flowContext)

Sets the context for this layout manager.

Parameters:
  `flowContext` - the context of this layout